Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.im
Class OrdHttpUploadRequest

`java.lang.Object
oracle.ord.im.OrdHttpUploadFormData
oracle.ord.im.OrdHttpUploadRequest`

public class OrdHttpUploadRequest
extends OrdHttpUploadFormData

Extends OrdHttpUploadFormData to provide compatibility for applications using the old OrdHttpUploadRequest class name.

Constructor Summary
`OrdHttpUploadRequest()` Creates an OrdHttpUploadRequest to parse a multipart/form-data request.
`OrdHttpUploadRequest(javax.servlet.ServletRequest request)` Creates an OrdHttpUploadRequest to parse a multipart/form-data request.

Methods inherited from class oracle.ord.im.OrdHttpUploadFormData
`enableParameterTranslation, getFileParameter, getFileParameterNames, getFileParameterValues, getParameter, getParameterNames, getParameterValues, isUploadRequest, parseFormData, release, setMaxMemory, setServletRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdHttpUploadRequest

    public OrdHttpUploadRequest()

  Creates an OrdHttpUploadRequest to parse a multipart/form-data request. Subsequently, the application must specify the ServletRequest object.

### OrdHttpUploadRequest

    public OrdHttpUploadRequest(javax.servlet.ServletRequest request)

  Creates an OrdHttpUploadRequest to parse a multipart/form-data request.
Parameters:
  `request` - an object of type `ServletRequest`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.